GrandchildDefinitionParser (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.generic.GrandchildDefinitionParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.generic
Class GrandchildDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
              org.mule.config.spring.parsers.AbstractHierarchicalDefinitionParser
                  org.mule.config.spring.parsers.AbstractChildDefinitionParser
                      org.mule.config.spring.parsers.generic.ChildDefinitionParser
                          org.mule.config.spring.parsers.generic.GrandchildDefinitionParser

All Implemented Interfaces:
  MuleChildDefinitionParser, MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

    public class GrandchildDefinitionParser

extends ChildDefinitionParser

Same as ChildDefinitionParser but injects the child element into the grandparent object (2 levels up in the XML tree).

Field Summary

Fields inherited from class org.mule.config.spring.parsers.generic.ChildDefinitionParser
`clazz, setterMethod`

Fields inherited from class org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
`ATTRIBUTE_CLASS, ATTRIBUTE_ID, ATTRIBUTE_NAME, ATTRIBUTE_REF, ATTRIBUTE_REF_SUFFIX, ATTRIBUTE_REFS, ATTRIBUTE_REFS_SUFFIX, beanPropertyConfiguration, logger, ROOT_ELEMENT, singleton`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`GrandchildDefinitionParser(String setterMethod, Class clazz)`
`GrandchildDefinitionParser(String setterMethod, Class clazz, Class constraint, boolean allowClassAttribute)`

Method Summary
`protected String` | `getGrandparentBeanName(Element element)`
`protected String` | `getParentBeanName(Element element)`

Methods inherited from class org.mule.config.spring.parsers.generic.ChildDefinitionParser
`getBeanClass, getPropertyName, preProcess`

Methods inherited from class org.mule.config.spring.parsers.AbstractChildDefinitionParser
`doParse, getBeanName, parseChild, postProcess`

Methods inherited from class org.mule.config.spring.parsers.AbstractHierarchicalDefinitionParser
`forceParent, getBeanAssembler, getOrphanBeanAssembler, getParentBeanDefinition, getTargetPropertyConfiguration`

Methods inherited from class org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, checkElementNameUnique, createBeanDefinitionBuilder, getBeanAssemblerFactory, getBeanClassFromAttribute, getClassConstraint, getClassInternal, getParserContext, getRegistry, isAllowClassAttribute, isSingleton, isTopLevel, muleParse, parseInternal, processProperty, registerPostProcessor, registerPreProcessor, removeIgnored, resolveId, setAllowClassAttribute, setBeanAssemblerFactory, setClassConstraint, setIgnoredDefault, setParserContext, setRegistry`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.config.spring.parsers.MuleChildDefinitionParser
`forceParent, getTargetPropertyConfiguration`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParser
`muleParse`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParserConfiguration
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault`

Constructor Detail

### GrandchildDefinitionParser

    public GrandchildDefinitionParser(String setterMethod,
                                      Class clazz)

### GrandchildDefinitionParser

    public GrandchildDefinitionParser(String setterMethod,
                                      Class clazz,
                                      Class constraint,
                                      boolean allowClassAttribute)

Method Detail

### getParentBeanName

    protected String getParentBeanName(Element element)

  Overrides:
    `getParentBeanName` in class `AbstractHierarchicalDefinitionParser`

### getGrandparentBeanName

    protected String getGrandparentBeanName(Element element)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.